Name:          bcunit
Epoch:         1
Version:       3.0.2
Release:       1mamba
Summary:       A fork of the defunct project CUnit, with several fixes and patches applied
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://linphone.org
## GITSOURCE https://github.com/BelledonneCommunications/bcunit.git 3.0
Source:        https://github.com/BelledonneCommunications/bcunit.git/%{version}/bcunit-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A fork of the defunct project CUnit, with several fixes and patches applied.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A fork of the defunct project CUnit, with several fixes and patches applied

%description -n lib%{name}
A fork of the defunct project CUnit, with several fixes and patches applied.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
./autogen.sh
%configure

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall docdir=%{_docdir}/BCUnit

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%dir %{_datadir}/BCUnit
%{_datadir}/BCUnit/*
%{_libdir}/libbcunit.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/BCUnit
%{_includedir}/BCUnit/*.h
%{_libdir}/libbcunit.la
%{_libdir}/libbcunit.so
%{_libdir}/pkgconfig/bcunit.pc
%{_mandir}/man3/BCUnit.3*
%dir %{_docdir}/BCUnit
%{_docdir}/BCUnit/*
%doc ChangeLog NEWS README TODO


%changelog
* Mon Nov 13 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-1mamba
- update to 3.0.2

* Sat Dec 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.20161217git-1mamba
- package created using the webbuild interface
